SET DICTIONARY SLIB
!
! SLMRINDEF.CMD -- RAW DATA INPUT RECORDS FROM MODIFIED OBJ LBR LISTING
!
DELETE RAWINDEF;
DEFINE RECORD RAWINDEF
01 RAWINDEF.
   03 RNAME PIC XXXXXX.
   03 J1 PIC X(23).
   03 DY PIC Z9.
   03 J2 PIC X.
   03 MO PIC XXX.
   03 J3 PIC X.
   03 YR PIC Z9.
   03 J4 PIC X(8).
   03 ID PIC X(6).
;
DELETE RAW-READ-1;
DEFINE PROCEDURE RAW-READ-1
READY RAW-INPUT
READY MODS WRITE
FOR RAW-INPUT BEGIN
 STORE RAW-INPUT IN MODS USING BEGIN
   SUB-PROJECT = **.SUB-PROJECT;
   PROCESS = **.PROCESS;
    SLDEV = **.SLDEV
    SLGROUP = **.SLGROUP
    SLMEMBER = **.SLMEMBER
    SLFILE = **.SLFILE
    SLEXT = **.SLEXT
    VOLID = "NOT SAVED"
    MGROUP = **.MODULE-GROUP
    MMEMBER = **.MODULE-MEMBER
    MFILE = RNAME
    MEXT = **.EXT
    ASSEMBLY-STRING = **.ASSEMBLY-STRING
   ACCESS-NUMBER = 0
   OLDEV = "SY"
   OLGROUP = **.OBJ-GROUP
   OLMEMBER = **.OBJECT-MEMBER-CODE
   OLFILE = **.OBJECT-LIBRARY-FILENAME
   OLEXT = "OLB"
   MODULE-TITLE = RNAME;
   STATUS = "NEW ENTRY";
   MODULE-IDENT = ID;
   LIDAY = DY;
   LIYR = YR;
  IF MO = "JAN" THEN LIMON  = 1 ELSE
     IF MO = "FEB" THEN LIMON = 2 ELSE
   IF MO = "MAR" THEN LIMON = 3 ELSE
     IF MO = "APR" THEN LIMON = 4 ELSE
     IF MO = "MAY" THEN LIMON = 5 ELSE
     IF MO = "JUN" THEN LIMON = 6 ELSE
     IF MO = "JUL" THEN LIMON = 7 ELSE
     IF MO = "AUG" THEN LIMON = 8 ELSE
     IF MO = "SEP" THEN LIMON = 9 ELSE
     IF MO = "OCT" THEN LIMON = 10 ELSE
     IF MO = "NOV" THEN LIMON = 11 ELSE
     IF MO = "DEC" THEN LIMON = 12 ELSE LIMON = 0;

   END;
END;
 FINISH RAW-INPUT;
END-PROCEDURE
